replayFromSecondsAgo
Use the interface to start quick replay by jumping back a setting duration.
Director Plus
Request Mode
POST/GET http://ip/V1.0/replay/replayFromSecondsAgo?seconds=5&playStyle=1&replayLenIndexList=[0,1,2,3]
Request Data
| Parameter | Type | Description |
|---|---|---|
| seconds | Int | Second, ranging from 3 to 60 |
| replayLenIndexList | List |
Replay camera index, separated by commas. 0: Replay camera 1, 1: Replay camera 2, 2: Replay camera 3, 3: Replay camera 4. A maximum of 4 values can be entered, and the numbers must not be duplicated. Non-essential parameter. If left blank, all cameras will be replayed. The order of the numbers determines the sequence for sequential replay and the layout for multi-view replay. |
Response Body
Director One / Director Mini
Request Mode
POST/GET http://ip/V1.0/replay/replayFromSecondsAgo?seconds=5&playStyle=1
Request Data
| Parameter | Type | Description |
|---|---|---|
| seconds | Int | Second, ranging from 3 to 60 |
| playStyle | Int | Replay mode, non-essential parameter, which only taking effect for dual-camera replay, and the default value is -1 0: Cam 1 only 1: Cam 2 only 2: Cam 2 first, then Cam 2 3: Cam 2 first, then Cam 1 4: Side-by-side (Cam 1 & 2) 5: Side-by-side (Cam 2 & 1) |